import jxl.write.Label;
import jxl.write.WritableCellFormat;
import jxl.write.WritableSheet;
import jxl.write.WriteException;
import jxl.write.biff.RowsExceededException;


public class TitoniProduct extends Product {
	private String fromURL;
	private String function;
	private String movement;
	private String caseWatch;
	private String diameter;
	private String glass;
	private String waterResistance;
	private String dial;
	private String bracelet;
	private String category;
	public TitoniProduct(int line, String watchName, String image, String brand,  String description, String url, String gender, 
			String movement, String function, String caseWatch, String diameter, String glass, 
			String waterResistance, String dial, String bracelet, String cateName) {
		super(line, watchName, image, brand, "", "", gender, "", "", "", 0, 0, 0, 0, 0, 0);
		this.fromURL = url;
		this.movement = movement;
		this.function = function;
		this.caseWatch = caseWatch;
		this.diameter = diameter;
		this.glass = glass;
		this.waterResistance = waterResistance;
		this.dial = dial;
		this.bracelet = bracelet;
		this.category = cateName;
	}
public void writeToSheet(WritableSheet sheet, WritableCellFormat cf) {
		
		Label url = new Label(16, this.id, this.fromURL, cf);
		Label function = new Label(17, this.id, this.function, cf);
		Label movement = new Label(18, this.id, this.movement, cf);
		Label caseWatch = new Label(19, this.id, this.caseWatch, cf);
		Label diameter = new Label(20, this.id, this.diameter, cf);
		Label glass = new Label(21, this.id, this.glass, cf);
		Label waterR = new Label(22, this.id, this.waterResistance, cf);
		Label dial = new Label(23, this.id, this.dial, cf);
		Label bracelet = new Label(24, this.id, this.bracelet, cf);
		Label category = new Label(25, this.id, this.category, cf);
		try {
			sheet.addCell(url);
			sheet.addCell(function);
			sheet.addCell(movement);
			sheet.addCell(caseWatch);
			sheet.addCell(diameter);
			sheet.addCell(glass);
			sheet.addCell(waterR);
			sheet.addCell(dial);
			sheet.addCell(bracelet);
			sheet.addCell(category);
		} catch (RowsExceededException e) {
			// TODO Auto-generated catch block
			e.printStackTrace();
		} catch (WriteException e) {
			// TODO Auto-generated catch block
			e.printStackTrace();
		}
		super.writeToSheet(sheet, cf);
	}

}
