package outputFormat;

import jxl.write.Label;
import jxl.write.WritableCellFormat;
import jxl.write.WritableSheet;
import jxl.write.WriteException;
import jxl.write.biff.RowsExceededException;

public class AmazonProduct implements SheetWriter{

	//change this to the max(id) + 1 in database destination guide
	public static int idCount = 1;
	//	 excel file start to write position
	static int line = 1;
	private int id;
	private String name;
	private String image;
	private String price;
	private String priceUnit;
	private String gender;
	private String desc;
	private String url;
	public AmazonProduct(){
		
	}
	
	public AmazonProduct(String name, String image, String price, String priceUnit, String gender, String desc, String url) {
		this.id = idCount;
		idCount++;
		this.name = name;
		this.image = image;
		this.price = price;
		this.priceUnit = priceUnit;
		this.gender = gender;
		this.desc = desc;
		this.url = url;
	}

	public void creatSheetLabels(WritableSheet sheet, WritableCellFormat cf) {
		Label id = new Label(0, 0, "id", cf);
		Label name = new Label(1, 0, "name", cf);
		Label image = new Label(2, 0, "image", cf);
		Label price = new Label(3, 0, "price", cf);
		Label price_unit = new Label(4, 0, "price_unit", cf);
		Label gender = new Label(5, 0, "gender", cf);
		Label description = new Label(6, 0, "description", cf);
		Label source_url = new Label(7, 0, "source_url", cf);
		try {
			sheet.addCell(id);
			sheet.addCell(name);
			sheet.addCell(image);
			sheet.addCell(price);
			sheet.addCell(price_unit);
			sheet.addCell(gender);
			sheet.addCell(description);
			sheet.addCell(source_url);
		} catch (RowsExceededException e) {
			e.printStackTrace();
		} catch (WriteException e) {
			e.printStackTrace();
		}
	}

	public void writeToSheet(WritableSheet sheet, WritableCellFormat cf) {
		Label id = new Label(0, line, Integer.toString(this.id), cf);
		Label name = new Label(1, line, this.name, cf);
		Label image = new Label(2, line, this.image, cf);
		Label price = new Label(3, line, this.price, cf);
		Label price_unit = new Label(4, line, this.priceUnit, cf);
		Label gender = new Label(5, line, this.gender, cf);
		Label description = new Label(6, line, this.desc, cf);
		Label source_url = new Label(7, line, this.url, cf);
		line++;
		try {
			sheet.addCell(id);
			sheet.addCell(name);
			sheet.addCell(image);
			sheet.addCell(price);
			sheet.addCell(price_unit);
			sheet.addCell(gender);
			sheet.addCell(description);
			sheet.addCell(source_url);
		} catch (RowsExceededException e) {
			e.printStackTrace();
		} catch (WriteException e) {
			e.printStackTrace();
		}	
		
	}

}
