import java.util.regex.Matcher;
import java.util.regex.Pattern;


public class CuckooCrawler {
	private static int line = 0;
	private static String currentIF = "souvenir/cuckoo-images/";
	private static String outputFile = "mos_souvenir_cockoo.xls";
	private static String category = "";
	private static String siteBase = "http://www.swiss-knife.com/";
	private static String siteURL;
	public static void main(String arg[]){
		line = 1;
		KelkooProduct cp = new KelkooProduct();
		ExcelManager.prepareFile( outputFile,	cp);
//		0
		category = "with music";
		siteURL = "http://www.swiss-knife.com/EN/HS/cuckoo_clocks/with_music.html";
		System.out.println("Site page: "+siteURL);
		String doc = SiteManager.getDocumentFromURL(siteURL, "Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; SV1)");
		if(doc != null){
			extractData(doc);
		}
//		1
		category = "without music";
		siteURL = "http://www.swiss-knife.com/EN/HS/cuckoo_clocks/without_music.html";
		System.out.println("Site page: "+siteURL);
		doc = SiteManager.getDocumentFromURL(siteURL, "Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; SV1)");
		if(doc != null){
			extractData(doc);
		}
//		2
		category = "quartz cuckoo";
		siteURL = "http://www.swiss-knife.com/EN/HS/cuckoo_clocks/quartz.html";
		System.out.println("Site page: "+siteURL);
		doc = SiteManager.getDocumentFromURL(siteURL, "Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; SV1)");
		if(doc != null){
			extractData(doc);
		}
		String url = "http://www.swiss-knife.com/asp/detail.asp?lan=EN&code=9001_Q&shop=HS";
		doc = SiteManager.getDocumentFromURL(url, "Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; SV1)");
		extractItem(doc, url);
		url = "http://www.swiss-knife.com/asp/detail.asp?lan=EN&code=9002_Q&shop=HS";
		doc = SiteManager.getDocumentFromURL(url, "Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; SV1)");
		extractItem(doc, url);
		url = "http://www.swiss-knife.com/asp/detail.asp?lan=EN&code=9003Q&shop=HS";
		doc = SiteManager.getDocumentFromURL(url, "Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; SV1)");
		extractItem(doc, url);
		
		
		
	}
	private static void extractData(String inputText) {
		findTags(inputText);
	}
	private static void findTags(String inputText) {
//		<a href="http://www.swiss-knife.com/asp/detail.asp?lan=EN&code=1.97.65&shop=SK"><img src="../../../images/photoSmall/1.97.65.jpg" width="124" height="100" border="1" alt="Mini Spot Light - Wenger Swiss Army Knife - ref 1.97.65">
		Pattern tag = Pattern.compile("<a href=\"([^\"]*?)\"><img([^>]*?)>");
		Matcher tagM = tag.matcher(inputText);
		while(tagM.find()){
			if(tagM.group(1).contains("http")){
				System.out.println(tagM.group(1));
				String url = tagM.group(1);
				String doc = SiteManager.getDocumentFromURL(url, "Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; SV1)");
				extractItem(doc, url);
			}
		}
	}
	
	private static void extractItem(String doc, String url) {
		// <td><font color="white"
		// face="Arial,Helvetica,Geneva,Swiss,SunSans-Regular"><b> Jeux de
		// Ligne</b></font></td>
		// <td rowspan="7">
		// <div align="right">
		//
		// <img src="../images/photo/SWA.SULN101.jpg" border="0"></div>
		// </td>
		String productName = "";
		String imageAddress = "";
		String code = "";
		String brand = "";
		String prixEuro = "";
		String prixUSD = "";
		String prixCHF = "";
		String function = "";
		String color = "";
		String material = "";
		String specificAttributes = "";
		Pattern p = Pattern
				.compile("<td valign=(\".*?\"|[^>]*)>(.*?)Name:(.*?)</td>\\s*?<td>(.*?)<b>(.*?)</b>(.*?)</td>\\s*?<td rowspan=\"\\d*?\">\\s*?<div (.*?)>\\s*?<img src=\"(.*?)\"(.*?)>\\s*?</div>\\s*?</td>");

		// Pattern p = Pattern.compile("<td valign=\"middle\"><font
		// face=\"Arial,Helvetica,Geneva,Swiss,SunSans-Regular\"
		// color=\"#ffcc99\"><b>Nom:</b></font><font color=\"white\"
		// face=\"Arial,Helvetica,Geneva,Swiss,SunSans-Regular\"><b>
		// </b></font></td>");
		Matcher m = p.matcher(doc);
		while (m.find()) {
			// System.out.println(m.group());
			// System.out.println(m.group(8));
			productName = m.group(5);
			imageAddress = m.group(8);
			imageAddress = siteBase + imageAddress.replace("../", "");
		}
//		System.out.println("Name: " + productName + " image : " + imageAddress);
		try{
			imageAddress = SiteManager.saveImage(imageAddress, currentIF, line);
			line++;
		}catch(Exception e){
			e.printStackTrace();
		}
		p = Pattern
				.compile("<td valign=(\".*?\"|[^>]*)>(.*?)Code:(.*?)</td>\\s*?<td>(.*?)<b>(.*?)</b>(.*?)</td>");
		m = p.matcher(doc);
		while (m.find()) {
			// System.out.println(m.group(5));
			code = m.group(5);
		}
//		System.out.println("Code: " + code);
		// <td valign="top"><font color="#ffcc99"
		// face="Arial,Helvetica,Geneva,Swiss,SunSans-Regular"><b>Constr.:</b></font></td>
		// <td><font
		// face="Arial,Helvetica,Geneva,Swiss,SunSans-Regular"><b>Swatch</b></font></td>
		p = Pattern
				.compile("<td valign=(\".*?\"|[^>]*)>(.*?)Maker:(.*?)</td>\\s*?<td>(.*?)<b>(.*?)</b>(.*?)</td>");
		m = p.matcher(doc);
		while (m.find()) {
			// System.out.println(m.group(5));
			brand = m.group(5);
		}
//		System.out.println("Brand: " + brand);

		// <td valign="top"><font color="#ffcc99"
		// face="Arial,Helvetica,Geneva,Swiss,SunSans-Regular"><b>Prix:</b></font></td>
		// <td><font color="white"
		// face="Arial,Helvetica,Geneva,Swiss,SunSans-Regular">
		// <b>74.53</b>Euro<br>
		//
		// <b>96.00</b>USD<br>
		// <b>120.00</b>CHF<br>
		//			
		// </td>
		p = Pattern
				.compile("<td valign=(\".*?\"|[^>]*)>(.*?)Price:(.*?)</td>\\s*?<td>\\s*?<font (.*?)>\\s*?<b>(.*?)</b>\\s*?Euro\\s*?<br>\\s*?<b>(.*?)</b>\\s*?USD<br>\\s*?<b>(.*?)</b>\\s*?CHF<br>\\s*?</td>");
		m = p.matcher(doc);
		while (m.find()) {
			// System.out.println(m.group(5));
			prixEuro = m.group(5);
			prixUSD = m.group(6);
			prixCHF = m.group(7);
		}
//		System.out.println("Price euro: " + prixEuro + " price USD: " + prixUSD
//				+ " price CHF: " + prixCHF);

		p = Pattern
				.compile("<td valign=(\".*?\"|[^>]*)>(.*?)Function:(.*?)</td>\\s*?<td>(.*?)<b>(.*?)</b>(.*?)</td>");
		m = p.matcher(doc);
		while (m.find()) {
			// System.out.println(m.group(5));
			function = m.group(5);
		}
//		System.out.println("Function: " + function);

		p = Pattern
				.compile("<td valign=(\".*?\"|[^>]*)>(.*?)Color:(.*?)</td>\\s*?<td>(.*?)<b>(.*?)</b>(.*?)</td>");
		m = p.matcher(doc);
		while (m.find()) {
			// System.out.println(m.group(5));
			color = m.group(5);
		}
//		System.out.println("Color: " + color);

		p = Pattern
				.compile("<td valign=(\".*?\"|[^>]*)>(.*?)Material:(.*?)</td>\\s*?<td>(.*?)<b>(.*?)</b>(.*?)</td>");
		m = p.matcher(doc);
		while (m.find()) {
			// System.out.println(m.group(5));
			material = m.group(5);
		}
//		System.out.println("Material: " + material);
		SNProduct pro = new SNProduct(line, productName, imageAddress, brand,
				prixUSD, "USD", function, color, material, code, category);
//		productList.add(pro);
		ExcelManager.writeToFile(pro);
		
//		try {
//			rwb.write();
//		} catch (IOException e) {
//			// TODO Auto-generated catch block
//			e.printStackTrace();
//			System.exit(-1);
//		}
		// <td colspan="3"><br>
		// <font face="Arial,Helvetica,Geneva,Swiss,SunSans-Regular"><b>Specific
		// attributes:<br>
		// </b>scissors, nailfile, small screwdriver, key ring, tweezers,
		// toothpick, blade</font></td>

		// p = Pattern.compile("<td colspan=(\".*?\"|[^>]*)>\\s*?<font
		// (.*?)>\\s*?<b>\\s*?Specific
		// attributes:\\s*?<br>\\s*?</b>(.*?)</font>\\s*?</td>");
		// m = p.matcher(content);
		// while (m.find()) {
		// System.out.println(m.group());
		// specificAttributes = m.group(5);
		// }
		// System.out.println("Specific atrributes: "+ specificAttributes);
	
	}

}
