import java.io.BufferedInputStream;
import java.io.ByteArrayOutputStream;
import java.io.File;
import java.io.IOException;
import java.io.InputStream;
import java.io.RandomAccessFile;
import java.net.MalformedURLException;
import java.net.URL;
import java.util.regex.Matcher;
import java.util.regex.Pattern;


public class SN2Crawler {
	private static int line = 0;
	private static String skIF = "SKIF";
	private static String currentIF;
	private static String skOutput = "SKFO";
	private static String siteURL;
	private static String skPage = "SKFP";
	private static String currentURL;
	private static String category = "";
	private static String siteBase = "http://www.swiss-knife.com/";
	public static void main(String arg[]){
		line = 324;
		currentIF = PropertiesManager.getProperty(skIF);
		KelkooProduct cp = new KelkooProduct();
		ExcelManager.prepareFile(PropertiesManager.getProperty(skOutput),
				cp);
		currentURL = siteURL;
//		0
		category = "SwissBeat USB Digital Player";
		siteURL = "http://www.swiss-knife.com/EN/SK/news/swissbit-digital-audio-player.html";
		System.out.println("Site page: "+siteURL);
		String doc = SiteManager.getDocumentFromURL(siteURL, "Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; SV1)");
		if(doc != null){
			extractData(doc);
		}
//		1
		category = "SwissMemory USB";
		siteURL = "http://www.swiss-knife.com/EN/SK/news/swiss_memory_usb.html";
		System.out.println("Site page: "+siteURL);
		doc = SiteManager.getDocumentFromURL(siteURL, "Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; SV1)");
		if(doc != null){
			extractData(doc);
		}
//		2
		category = "Porsche Design";
		siteURL = "http://www.swiss-knife.com/EN/SK/news/PorscheDesign.html";
		System.out.println("Site page: "+siteURL);
		doc = SiteManager.getDocumentFromURL(siteURL, "Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; SV1)");
		if(doc != null){
			extractData(doc);
		}
//		3
		category = "Business Tool";
		siteURL = "http://www.swiss-knife.com/EN/SK/news/SwissBusiness.html";
		System.out.println("Site page: "+siteURL);
		doc = SiteManager.getDocumentFromURL(siteURL, "Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; SV1)");
		if(doc != null){
			extractData(doc);
		}
//		4
		category = "Voyager";
		siteURL = "http://www.swiss-knife.com/EN/SK/news/voyager.html";
		System.out.println("Site page: "+siteURL);
		doc = SiteManager.getDocumentFromURL(siteURL, "Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; SV1)");
		if(doc != null){
			extractData(doc);
		}
//		5
		category = "Lite Series";
		siteURL = "http://www.swiss-knife.com/EN/SK/news/lite.html";
		System.out.println("Site page: "+siteURL);
		doc = SiteManager.getDocumentFromURL(siteURL, "Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; SV1)");
		if(doc != null){
			extractData(doc);
		}
//		6
		category = "XL Series";
		siteURL = "http://www.swiss-knife.com/EN/SK/news/XL-series.html";
		System.out.println("Site page: "+siteURL);
		doc = SiteManager.getDocumentFromURL(siteURL, "Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; SV1)");
		if(doc != null){
			extractData(doc);
		}
//		7
		category = "Evolution";
		siteURL = "http://www.swiss-knife.com/EN/SK/news/evolution.html";
		System.out.println("Site page: "+siteURL);
		doc = SiteManager.getDocumentFromURL(siteURL, "Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; SV1)");
		if(doc != null){
			extractData(doc);
		}
//		8
		category = "Altimeter";
		siteURL = "http://www.swiss-knife.com/EN/SK/sports_knives/altimeter.html";
		System.out.println("Site page: "+siteURL);
		doc = SiteManager.getDocumentFromURL(siteURL, "Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; SV1)");
		if(doc != null){
			extractData(doc);
		}
//		9
		category = "Biker";
		siteURL = "http://www.swiss-knife.com/EN/SK/sports_knives/biker.html";
		System.out.println("Site page: "+siteURL);
		doc = SiteManager.getDocumentFromURL(siteURL, "Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; SV1)");
		if(doc != null){
			extractData(doc);
		}
//		10
		category = "Equestrian";
		siteURL = "http://www.swiss-knife.com/EN/SK/sports_knives/equestrian.html";
		System.out.println("Site page: "+siteURL);
		doc = SiteManager.getDocumentFromURL(siteURL, "Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; SV1)");
		if(doc != null){
			extractData(doc);
		}
//		11
		category = "Golfer";
		siteURL = "http://www.swiss-knife.com/EN/SK/sports_knives/golfer.html";
		System.out.println("Site page: "+siteURL);
		doc = SiteManager.getDocumentFromURL(siteURL, "Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; SV1)");
		if(doc != null){
			extractData(doc);
		}
//		12
		category = "Hunter";
		siteURL = "http://www.swiss-knife.com/EN/SK/sports_knives/hunter.html";
		System.out.println("Site page: "+siteURL);
		doc = SiteManager.getDocumentFromURL(siteURL, "Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; SV1)");
		if(doc != null){
			extractData(doc);
		}
//		13
		category = "Roller";
		siteURL = "http://www.swiss-knife.com/EN/SK/sports_knives/roller.html";
		System.out.println("Site page: "+siteURL);
		doc = SiteManager.getDocumentFromURL(siteURL, "Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; SV1)");
		if(doc != null){
			extractData(doc);
		}
//		14
		category = "Motorist";
		siteURL = "http://www.swiss-knife.com/EN/SK/sports_knives/motorist.html";
		System.out.println("Site page: "+siteURL);
		doc = SiteManager.getDocumentFromURL(siteURL, "Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; SV1)");
		if(doc != null){
			extractData(doc);
		}
//		15
		category = "Scouts";
		siteURL = "http://www.swiss-knife.com/EN/SK/sports_knives/scouts.html";
		System.out.println("Site page: "+siteURL);
		doc = SiteManager.getDocumentFromURL(siteURL, "Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; SV1)");
		if(doc != null){
			extractData(doc);
		}
//		16
		category = "Sailing";
		siteURL = "http://www.swiss-knife.com/EN/SK/sports_knives/sailing.html";
		System.out.println("Site page: "+siteURL);
		doc = SiteManager.getDocumentFromURL(siteURL, "Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; SV1)");
		if(doc != null){
			extractData(doc);
		}
//		17
		category = "Traveller";
		siteURL = "http://www.swiss-knife.com/EN/SK/sports_knives/traveller.html";
		System.out.println("Site page: "+siteURL);
		doc = SiteManager.getDocumentFromURL(siteURL, "Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; SV1)");
		if(doc != null){
			extractData(doc);
		}
//		18
		category = "Cigar knives";
		siteURL = "http://www.swiss-knife.com/EN/SK/bestsellers/cigar-knives.html";
		System.out.println("Site page: "+siteURL);
		doc = SiteManager.getDocumentFromURL(siteURL, "Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; SV1)");
		if(doc != null){
			extractData(doc);
		}
//		19
		category = "Ecoline";
		siteURL = "http://www.swiss-knife.com/EN/SK/bestsellers/ecoline.html";
		System.out.println("Site page: "+siteURL);
		doc = SiteManager.getDocumentFromURL(siteURL, "Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; SV1)");
		if(doc != null){
			extractData(doc);
		}
//		20
		category = "PocketGrip";
		siteURL = "http://www.swiss-knife.com/EN/SK/bestsellers/pocketgrip.html";
		System.out.println("Site page: "+siteURL);
		doc = SiteManager.getDocumentFromURL(siteURL, "Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; SV1)");
		if(doc != null){
			extractData(doc);
		}
//		21
		category = "SwissCards";
		siteURL = "http://www.swiss-knife.com/EN/SK/bestsellers/swisscards.html";
		System.out.println("Site page: "+siteURL);
		doc = SiteManager.getDocumentFromURL(siteURL, "Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; SV1)");
		if(doc != null){
			extractData(doc);
		}
//		22
		category = "SwissChamps";
		siteURL = "http://www.swiss-knife.com/EN/SK/bestsellers/swisschamps.html";
		System.out.println("Site page: "+siteURL);
		doc = SiteManager.getDocumentFromURL(siteURL, "Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; SV1)");
		if(doc != null){
			extractData(doc);
		}
//		23
		category = "Wood collection";
		siteURL = "http://www.swiss-knife.com/EN/SK/bestsellers/wood-collection.html";
		System.out.println("Site page: "+siteURL);
		doc = SiteManager.getDocumentFromURL(siteURL, "Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; SV1)");
		if(doc != null){
			extractData(doc);
		}
//		24
		category = "XL Series";
		siteURL = "http://www.swiss-knife.com/EN/SK/bestsellers/XL-series.html";
		System.out.println("Site page: "+siteURL);
		doc = SiteManager.getDocumentFromURL(siteURL, "Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; SV1)");
		if(doc != null){
			extractData(doc);
		}
//		25
		category = "Business Tools";
		siteURL = "http://www.swiss-knife.com/EN/SK/bestsellers/business-tools.html";
		System.out.println("Site page: "+siteURL);
		doc = SiteManager.getDocumentFromURL(siteURL, "Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; SV1)");
		if(doc != null){
			extractData(doc);
		}
//		26
		category = "SwissMemory USB Laser";
		siteURL = "http://www.swiss-knife.com/EN/SK/bestsellers/swissmemory-usb--laser-knife.html";
		System.out.println("Site page: "+siteURL);
		doc = SiteManager.getDocumentFromURL(siteURL, "Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; SV1)");
		if(doc != null){
			extractData(doc);
		}
//		27
		category = "SwissMemory USB";
		siteURL = "http://www.swiss-knife.com/EN/SK/bestsellers/swissmemory-usb--key-knife.html";
		System.out.println("Site page: "+siteURL);
		doc = SiteManager.getDocumentFromURL(siteURL, "Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; SV1)");
		if(doc != null){
			extractData(doc);
		}	
//		28
		category = "Sport knives";
		siteURL = "http://www.swiss-knife.com/EN/SK/bestsellers/sports.html";
		System.out.println("Site page: "+siteURL);
		doc = SiteManager.getDocumentFromURL(siteURL, "Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; SV1)");
		if(doc != null){
			extractData(doc);
		}
//		29
		category = "SwissMemory USB Laser";
		siteURL = "http://www.swiss-knife.com/EN/SK/translucent/swissmemory-usb--laser-knife.html";
		System.out.println("Site page: "+siteURL);
		doc = SiteManager.getDocumentFromURL(siteURL, "Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; SV1)");
		if(doc != null){
			extractData(doc);
		}
//		30
		category = "CyberTools";
		siteURL = "http://www.swiss-knife.com/EN/SK/translucent/cybertools.html";
		System.out.println("Site page: "+siteURL);
		doc = SiteManager.getDocumentFromURL(siteURL, "Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; SV1)");
		if(doc != null){
			extractData(doc);
		}
//		31
		category = "Cyber series";
		siteURL = "http://www.swiss-knife.com/EN/SK/translucent/cyber_series.html";
		System.out.println("Site page: "+siteURL);
		doc = SiteManager.getDocumentFromURL(siteURL, "Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; SV1)");
		if(doc != null){
			extractData(doc);
		}
//		32
		category = "Mini Cyber";
		siteURL = "http://www.swiss-knife.com/EN/SK/translucent/mini_cyber.html";
		System.out.println("Site page: "+siteURL);
		doc = SiteManager.getDocumentFromURL(siteURL, "Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; SV1)");
		if(doc != null){
			extractData(doc);
		}
//		33
		category = "Mini CyberLite";
		siteURL = "http://www.swiss-knife.com/EN/SK/translucent/minicyber_lite.html";
		System.out.println("Site page: "+siteURL);
		doc = SiteManager.getDocumentFromURL(siteURL, "Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; SV1)");
		if(doc != null){
			extractData(doc);
		}
//		34
		category = "SwissMemory USB";
		siteURL = "http://www.swiss-knife.com/EN/SK/translucent/swissmemory-usb--key-knife.html";
		System.out.println("Site page: "+siteURL);
		doc = SiteManager.getDocumentFromURL(siteURL, "Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; SV1)");
		if(doc != null){
			extractData(doc);
		}
//		35
		category = "Left handed";
		siteURL = "http://www.swiss-knife.com/EN/SK/special_range/left-handed.html";
		System.out.println("Site page: "+siteURL);
		doc = SiteManager.getDocumentFromURL(siteURL, "Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; SV1)");
		if(doc != null){
			extractData(doc);
		}
//		36
		category = "Lock blades";
		siteURL = "http://www.swiss-knife.com/EN/SK/special_range/lockblades.html";
		System.out.println("Site page: "+siteURL);
		doc = SiteManager.getDocumentFromURL(siteURL, "Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; SV1)");
		if(doc != null){
			extractData(doc);
		}
//		37
		category = "Spot lights";
		siteURL = "http://www.swiss-knife.com/EN/SK/special_range/spotlights.html";
		System.out.println("Site page: "+siteURL);
		doc = SiteManager.getDocumentFromURL(siteURL, "Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; SV1)");
		if(doc != null){
			extractData(doc);
		}
//		38
		category = "Survival kits";
		siteURL = "http://www.swiss-knife.com/EN/SK/special_range/survival-kits.html";
		System.out.println("Site page: "+siteURL);
		doc = SiteManager.getDocumentFromURL(siteURL, "Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; SV1)");
		if(doc != null){
			extractData(doc);
		}
//		39
		category = "Whistles";
		siteURL = "http://www.swiss-knife.com/EN/SK/special_range/whistles.html";
		System.out.println("Site page: "+siteURL);
		doc = SiteManager.getDocumentFromURL(siteURL, "Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; SV1)");
		if(doc != null){
			extractData(doc);
		}
//		40
		category = "Junior";
		siteURL = "http://www.swiss-knife.com/EN/SK/special_range/junior.html";
		System.out.println("Site page: "+siteURL);
		doc = SiteManager.getDocumentFromURL(siteURL, "Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; SV1)");
		if(doc != null){
			extractData(doc);
		}
//		41
		category = "Sets";
		siteURL = "http://www.swiss-knife.com/EN/SK/special_range/sets.html";
		System.out.println("Site page: "+siteURL);
		doc = SiteManager.getDocumentFromURL(siteURL, "Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; SV1)");
		if(doc != null){
			extractData(doc);
		}
//		42
		category = "Laser";
		siteURL = "http://www.swiss-knife.com/EN/SK/special_range/laser.html";
		System.out.println("Site page: "+siteURL);
		doc = SiteManager.getDocumentFromURL(siteURL, "Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; SV1)");
		if(doc != null){
			extractData(doc);
		}
//		43
		category = " Graft (red)";
		siteURL = "http://www.swiss-knife.com/EN/SK/works/graft.html";
		System.out.println("Site page: "+siteURL);
		doc = SiteManager.getDocumentFromURL(siteURL, "Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; SV1)");
		if(doc != null){
			extractData(doc);
		}
//		44
		category = "Graft (black)";
		siteURL = "http://www.swiss-knife.com/EN/SK/works/graft_black.html";
		System.out.println("Site page: "+siteURL);
		doc = SiteManager.getDocumentFromURL(siteURL, "Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; SV1)");
		if(doc != null){
			extractData(doc);
		}
//		45
		category = "Service tools";
		siteURL = "http://www.swiss-knife.com/EN/SK/works/service-tools.html";
		System.out.println("Site page: "+siteURL);
		doc = SiteManager.getDocumentFromURL(siteURL, "Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; SV1)");
		if(doc != null){
			extractData(doc);
		}
//		46
		category = "Watchmaker";
		siteURL = "http://www.swiss-knife.com/EN/SK/works/watchmaker.html";
		System.out.println("Site page: "+siteURL);
		doc = SiteManager.getDocumentFromURL(siteURL, "Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; SV1)");
		if(doc != null){
			extractData(doc);
		}
//		47
		category = "WengerGrips";
		siteURL = "http://www.swiss-knife.com/EN/SK/works/wengergrips.html";
		System.out.println("Site page: "+siteURL);
		doc = SiteManager.getDocumentFromURL(siteURL, "Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; SV1)");
		if(doc != null){
			extractData(doc);
		}
//		48
		category = "Cross sets";
		siteURL = "http://www.swiss-knife.com/EN/SK/gift_ideas/cross-sets.html";
		System.out.println("Site page: "+siteURL);
		doc = SiteManager.getDocumentFromURL(siteURL, "Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; SV1)");
		if(doc != null){
			extractData(doc);
		}
//		49
		category = "Camo";
		siteURL = "http://www.swiss-knife.com/EN/SK/gift_ideas/camo.html";
		System.out.println("Site page: "+siteURL);
		doc = SiteManager.getDocumentFromURL(siteURL, "Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; SV1)");
		if(doc != null){
			extractData(doc);
		}
//		50
		category = "Europe";
		siteURL = "http://www.swiss-knife.com/EN/SK/gift_ideas/europe.html";
		System.out.println("Site page: "+siteURL);
		doc = SiteManager.getDocumentFromURL(siteURL, "Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; SV1)");
		if(doc != null){
			extractData(doc);
		}
//		51
		category = "Money-clip";
		siteURL = "http://www.swiss-knife.com/EN/SK/gift_ideas/money-clip.html";
		System.out.println("Site page: "+siteURL);
		doc = SiteManager.getDocumentFromURL(siteURL, "Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; SV1)");
		if(doc != null){
			extractData(doc);
		}
//		52
		category = "Scouts";
		siteURL = "http://www.swiss-knife.com/EN/SK/gift_ideas/scouts.html";
		System.out.println("Site page: "+siteURL);
		doc = SiteManager.getDocumentFromURL(siteURL, "Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; SV1)");
		if(doc != null){
			extractData(doc);
		}
//		53
		category = "Swiss Memory";
		siteURL = "http://www.swiss-knife.com/EN/SK/gift_ideas/swissmemory.html";
		System.out.println("Site page: "+siteURL);
		doc = SiteManager.getDocumentFromURL(siteURL, "Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; SV1)");
		if(doc != null){
			extractData(doc);
		}
//		54
		category = "Tactile";
		siteURL = "http://www.swiss-knife.com/EN/SK/gift_ideas/tactile.html";
		System.out.println("Site page: "+siteURL);
		doc = SiteManager.getDocumentFromURL(siteURL, "Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; SV1)");
		if(doc != null){
			extractData(doc);
		}
//		45
		category = "Clock knives";
		siteURL = "http://www.swiss-knife.com/EN/SK/gift_ideas/clock-knives.html";
		System.out.println("Site page: "+siteURL);
		doc = SiteManager.getDocumentFromURL(siteURL, "Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; SV1)");
		if(doc != null){
			extractData(doc);
		}

		
	}
	private static void extractData(String inputText) {
		findTags(inputText);
	}
	private static void findTags(String inputText) {
//		<a href="http://www.swiss-knife.com/asp/detail.asp?lan=EN&code=1.97.65&shop=SK"><img src="../../../images/photoSmall/1.97.65.jpg" width="124" height="100" border="1" alt="Mini Spot Light - Wenger Swiss Army Knife - ref 1.97.65">
		Pattern tag = Pattern.compile("<a href=\"([^\"]*?)\"><img([^>]*?)>");
		Matcher tagM = tag.matcher(inputText);
		while(tagM.find()){
			if(tagM.group(1).contains("http")){
				System.out.println(tagM.group(1));
				String url = tagM.group(1);
				String doc = SiteManager.getDocumentFromURL(url, "Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; SV1)");
				extractItem(doc);
			}
		}
	}
	private static void extractItem(String doc) {
			// <td><font color="white"
			// face="Arial,Helvetica,Geneva,Swiss,SunSans-Regular"><b> Jeux de
			// Ligne</b></font></td>
			// <td rowspan="7">
			// <div align="right">
			//
			// <img src="../images/photo/SWA.SULN101.jpg" border="0"></div>
			// </td>
			String productName = "";
			String imageAddress = "";
			String code = "";
			String brand = "";
			String prixEuro = "";
			String prixUSD = "";
			String prixCHF = "";
			String function = "";
			String color = "";
			String material = "";
			String specificAttributes = "";
			Pattern p = Pattern
					.compile("<td valign=(\".*?\"|[^>]*)>(.*?)Name:(.*?)</td>\\s*?<td>(.*?)<b>(.*?)</b>(.*?)</td>\\s*?<td rowspan=\"\\d*?\">\\s*?<div (.*?)>\\s*?<img src=\"(.*?)\"(.*?)>\\s*?</div>\\s*?</td>");

			// Pattern p = Pattern.compile("<td valign=\"middle\"><font
			// face=\"Arial,Helvetica,Geneva,Swiss,SunSans-Regular\"
			// color=\"#ffcc99\"><b>Nom:</b></font><font color=\"white\"
			// face=\"Arial,Helvetica,Geneva,Swiss,SunSans-Regular\"><b>
			// </b></font></td>");
			Matcher m = p.matcher(doc);
			while (m.find()) {
				// System.out.println(m.group());
				// System.out.println(m.group(8));
				productName = m.group(5);
				imageAddress = m.group(8);
				imageAddress = siteBase + imageAddress.replace("../", "");
			}
//			System.out.println("Name: " + productName + " image : " + imageAddress);
			try{
				imageAddress = SiteManager.saveImage(imageAddress, currentIF, line);
				line++;
			}catch(Exception e){
				e.printStackTrace();
			}
			p = Pattern
					.compile("<td valign=(\".*?\"|[^>]*)>(.*?)Code:(.*?)</td>\\s*?<td>(.*?)<b>(.*?)</b>(.*?)</td>");
			m = p.matcher(doc);
			while (m.find()) {
				// System.out.println(m.group(5));
				code = m.group(5);
			}
//			System.out.println("Code: " + code);
			// <td valign="top"><font color="#ffcc99"
			// face="Arial,Helvetica,Geneva,Swiss,SunSans-Regular"><b>Constr.:</b></font></td>
			// <td><font
			// face="Arial,Helvetica,Geneva,Swiss,SunSans-Regular"><b>Swatch</b></font></td>
			p = Pattern
					.compile("<td valign=(\".*?\"|[^>]*)>(.*?)Maker:(.*?)</td>\\s*?<td>(.*?)<b>(.*?)</b>(.*?)</td>");
			m = p.matcher(doc);
			while (m.find()) {
				// System.out.println(m.group(5));
				brand = m.group(5);
			}
//			System.out.println("Brand: " + brand);

			// <td valign="top"><font color="#ffcc99"
			// face="Arial,Helvetica,Geneva,Swiss,SunSans-Regular"><b>Prix:</b></font></td>
			// <td><font color="white"
			// face="Arial,Helvetica,Geneva,Swiss,SunSans-Regular">
			// <b>74.53</b>Euro<br>
			//
			// <b>96.00</b>USD<br>
			// <b>120.00</b>CHF<br>
			//			
			// </td>
			p = Pattern
					.compile("<td valign=(\".*?\"|[^>]*)>(.*?)Price:(.*?)</td>\\s*?<td>\\s*?<font (.*?)>\\s*?<b>(.*?)</b>\\s*?Euro\\s*?<br>\\s*?<b>(.*?)</b>\\s*?USD<br>\\s*?<b>(.*?)</b>\\s*?CHF<br>\\s*?</td>");
			m = p.matcher(doc);
			while (m.find()) {
				// System.out.println(m.group(5));
				prixEuro = m.group(5);
				prixUSD = m.group(6);
				prixCHF = m.group(7);
			}
//			System.out.println("Price euro: " + prixEuro + " price USD: " + prixUSD
//					+ " price CHF: " + prixCHF);

			p = Pattern
					.compile("<td valign=(\".*?\"|[^>]*)>(.*?)Function:(.*?)</td>\\s*?<td>(.*?)<b>(.*?)</b>(.*?)</td>");
			m = p.matcher(doc);
			while (m.find()) {
				// System.out.println(m.group(5));
				function = m.group(5);
			}
//			System.out.println("Function: " + function);

			p = Pattern
					.compile("<td valign=(\".*?\"|[^>]*)>(.*?)Color:(.*?)</td>\\s*?<td>(.*?)<b>(.*?)</b>(.*?)</td>");
			m = p.matcher(doc);
			while (m.find()) {
				// System.out.println(m.group(5));
				color = m.group(5);
			}
//			System.out.println("Color: " + color);

			p = Pattern
					.compile("<td valign=(\".*?\"|[^>]*)>(.*?)Material:(.*?)</td>\\s*?<td>(.*?)<b>(.*?)</b>(.*?)</td>");
			m = p.matcher(doc);
			while (m.find()) {
				// System.out.println(m.group(5));
				material = m.group(5);
			}
//			System.out.println("Material: " + material);
			SNProduct pro = new SNProduct(line, productName, imageAddress, brand,
					prixUSD, "USD", function, color, material, code, category);
//			productList.add(pro);
			ExcelManager.writeToFile(pro);
			
//			try {
//				rwb.write();
//			} catch (IOException e) {
//				// TODO Auto-generated catch block
//				e.printStackTrace();
//				System.exit(-1);
//			}
			// <td colspan="3"><br>
			// <font face="Arial,Helvetica,Geneva,Swiss,SunSans-Regular"><b>Specific
			// attributes:<br>
			// </b>scissors, nailfile, small screwdriver, key ring, tweezers,
			// toothpick, blade</font></td>

			// p = Pattern.compile("<td colspan=(\".*?\"|[^>]*)>\\s*?<font
			// (.*?)>\\s*?<b>\\s*?Specific
			// attributes:\\s*?<br>\\s*?</b>(.*?)</font>\\s*?</td>");
			// m = p.matcher(content);
			// while (m.find()) {
			// System.out.println(m.group());
			// specificAttributes = m.group(5);
			// }
			// System.out.println("Specific atrributes: "+ specificAttributes);
		
	}

}
