import java.util.regex.Matcher;
import java.util.regex.Pattern;


public class TitoniCrawler {
	//the line start to write contents on excel file
	private static int line = 0;
	//download image files to this folder
	private static String currentIF = "souvenir/titoni-image/";
	//output excel file name
	private static String outputFile = "mos_souvenir_titoni.xls";
	//crawler start to work with this URL
	private static String currentURL = "http://www.titoni.com/index.php?id=8&no_cache=1&L=2";
	//the site to crawler
	private static String baseURL = "http://www.titoni.com";
	public static void main(String arg[]){
		KelkooProduct cp = new KelkooProduct();
		ExcelManager.prepareFile(outputFile,cp);
		System.out.println("Site page: "+currentURL);
		String doc = SiteManager.getDocumentFromURL(currentURL, "Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; SV1)");
		if(doc != null){
			findCategories(doc);
		}
	}
	private static void findCategories(String doc) {
		// <a href="/index.php?id=8&no_cache=1&L=2&id_tx_titoniwatches_families=200" onFocus="blur();">Master Series</a>
		String cateName = "";
		Pattern cateNameP = Pattern.compile("<a href=\"([^\"]*?)\" onFocus=\"blur\\(\\);\">([^<]*?)</a>");
		Matcher cateNameM = cateNameP.matcher(doc);
		while(cateNameM.find()){
//			System.out.println(cateNameM.group(1));
			cateName = cateNameM.group(2);
			System.out.println(cateName+": "+cateNameM.group(1));
			findWatches(cateName, baseURL+cateNameM.group(1));
		}
	}
	private static void findWatches(String cateName, String url) {
		String doc = SiteManager.getDocumentFromURL(url, "Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; SV1)");
//		<td class="subMenuEntryProducts"><a href="/index.php?id=8&no_cache=1&L=2&id_tx_titoniwatches_families=200&id_tx_titoniwatches_products=195" onFocus="blur();">83888 R-ST-297</a></td>
		String watchName = "";
		Pattern watchNameP = Pattern.compile("<td class=\"subMenuEntryProducts\"><a href=\"([^\"]*?)\" onFocus=\"blur\\(\\);\">([^<]*?)</a></td>");
		Matcher watchNameM = watchNameP.matcher(doc);
		while(watchNameM.find()){
			watchName = watchNameM.group(2);
			System.out.println(watchName+": "+watchNameM.group(1));
			exactWatchData(watchName, cateName, baseURL+watchNameM.group(1));
		}
//		<td class="subMenuEntrySize"><a href="/index.php?id=8&no_cache=1&L=2&id_tx_titoniwatches_families=130&id_tx_titoniwatches_size=120" onFocus="blur();">&#x5973;&#x8868;</a></td>
		Pattern othersP = Pattern.compile("<td class=\"subMenuEntrySize\"><a href=\"([^\"]*?)\" onFocus=\"blur\\(\\);\">&#x5973;&#x8868;</a></td>");
		Matcher othersM = othersP.matcher(doc);
		while(othersM.find()){
			findWatches(cateName, baseURL+othersM.group(1));
		}
	}
	private static void exactWatchData(String watchName, String cateName, String url) {
		String doc = SiteManager.getDocumentFromURL(url, "Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; SV1)");
//		<a href="#" onclick="openPic('typo3conf/ext/titoniwatches/pi1/user_getMaxQualityJPG.php?title=Master Series&lt;br&gt;83888 R-ST-296&amp;image=%3Cimg+src%3D%22typo3temp%2Fpics%2F139a0d61bc.jpg%22+width%3D%22348%22+height%3D%22580%22+border%3D%220%22+alt%3D%22%22+title%3D%22%22+%2F%3E','dd059b0e03280f17f7d31cf05fefe8d0','width=378,height=680,status=0,menubar=0'); return false;"><img src="typo3temp/pics/2a05a1a993.jpg" width="151" height="252" border="0" alt="" title="" />
		Pattern imageP = Pattern.compile("<a href=\"#\"([^>]*?)><img src=\"([^\"]*?)\"([^>]*?)></a>");
		Matcher imageM = imageP.matcher(doc);
//		<td class=features>&#31867;&#22411;<br><font class=darkgray>&#x7537;&#x8868;</font></td>
		Pattern genderP = Pattern.compile("<td class=features>&#31867;&#22411;<br><font class=darkgray>(.*?)</font></td>");
		Matcher genderM = genderP.matcher(doc);
//		<td class=features>&#26426;&#33455;<br><font class=darkgray>&#x81ea;&#x52a8;&#x673a;&#x82af;ETA 2895-1, &#x7cbe;&#x5bc6;&#x65f6;&#x8ba1;</font></td>
		Pattern movementP = Pattern.compile("<td class=features>&#26426;&#33455;<br><font class=darkgray>(.*?)</font></td>");
		Matcher movementM = movementP.matcher(doc);
//		<td class=features>&#21151;&#33021;<br><font class=darkgray>&#x65f6;&#x3001;&#x5206;&#x4e24;&#x9488;&#xff0c;&#x5c0f;&#x79d2;&#x9488;&#x3001;&#x65e5;&#x5386;<br></font></td>
		Pattern functionP = Pattern.compile("<td class=features>&#21151;&#33021;<br><font class=darkgray>(.*?)<br></font></td>");
		Matcher functionM = functionP.matcher(doc);
//		<td class=features>&#34920;&#22771;<br><font class=darkgray>18K&#x73ab;&#x7470;&#x91d1;</font></td>
		Pattern caseP = Pattern.compile("<td class=features>&#34920;&#22771;<br><font class=darkgray>(.*?)</font></td>");
		Matcher caseM = caseP.matcher(doc);
//		<td class=features>&#34920;&#24452;<br><font class=darkgray>38.2 &#27627;&#31859;</font></td>
		Pattern diameterP = Pattern.compile("<td class=features>&#34920;&#24452;<br><font class=darkgray>(.*?)</font></td>");
		Matcher diameterM = diameterP.matcher(doc);
//		<td class=features>&#34920;&#38754;&#29627;&#29827;<br><font class=darkgray>&#x53cc;&#x62f1;&#x578b;&#x84dd;&#x5b9d;&#x77f3;&#x73bb;&#x7483;, &#x9632;&#x53cd;&#x5c04;&#x5904;&#x7406;</font></td>
		Pattern glassP = Pattern.compile("<td class=features>&#34920;&#38754;&#29627;&#29827;<br><font class=darkgray>(.*?)</font></td>");
		Matcher glassM = glassP.matcher(doc);
//		<td class=features>&#38450;&#27700;<br><font class=darkgray>50&#31859;&#38450;&#27700;</font></td>
		Pattern waterResistanceP = Pattern.compile("<td class=features>&#38450;&#27700;<br><font class=darkgray>(.*?)</font></td>");
		Matcher waterResistanceM = waterResistanceP.matcher(doc);
//		<td class=features>&#34920;&#30424;<br><font class=darkgray>&#x9ed1;&#x8272;<br>&#x523b;&#x5ea6;/&#x963f;&#x62c9;&#x4f2f;&#x6570;&#x5b57;</font></td>
//		<td class=features>&#34920;&#30424;<br><font class=darkgray>&#x9ed1;&#x8272;<br>&#x523b;&#x5ea6;/&#x963f;&#x62c9;&#x4f2f;&#x6570;&#x5b57;</font></td>
		Pattern dialP = Pattern.compile("<td class=features>&#34920;&#30424;<br><font class=darkgray>(.*?)</font></td>");
		Matcher dialM = dialP.matcher(doc);
//		<td class=features>&#34920;&#24102;<br><font class=darkgray>&#x76ae;&#x5e26;</font></td>
		Pattern braceletP = Pattern.compile("<td class=features>&#34920;&#24102;<br><font class=darkgray>(.*?)</font></td>");
		Matcher braceletM = braceletP.matcher(doc);
		
//		Pattern featureP = Pattern.compile("<td class=features>([^<]*?)<br><font class=darkgray>(.*?)</font></td>");
//		Matcher featureM = featureP.matcher(doc);
		while(  imageM.find() && movementM.find() && functionM.find() && caseM.find()
				&&diameterM.find() && glassM.find() && waterResistanceM.find() && dialM.find() && braceletM.find()){
//			String feature = featureM.group(1);
//			System.out.println("feature: "+feature);
			line++;
			System.out.println(line+" Image address: " +baseURL+"/"+imageM.group(2));
			String image = baseURL+"/"+imageM.group(2);
			try {
				image = SiteManager.saveImage(image, currentIF, line);
			} catch (Exception e) {
				e.printStackTrace();
			}
			String gender = "";
			if(genderM.find())
				gender = genderM.group(1);
			else
				gender = "";
			System.out.println("Gender: "+gender);
			
			String movement = movementM.group(1);
			System.out.println("Movement: "+movement);
			
			String function = functionM.group(1);
			System.out.println("Function: "+function);

			String caseWatch = caseM.group(1);
			System.out.println("case: "+caseWatch);
	
			String diameter = diameterM.group(1);
			System.out.println("Diameter: "+diameter);
			
			String glass = glassM.group(1);
			System.out.println("Glass: "+glass);
			
			String waterResistance = waterResistanceM.group(1);
			System.out.println("waterResistance: "+waterResistance);
		
			String dial = dialM.group(1);
			System.out.println("dial: "+dial);
			
			String bracelet = braceletM.group(1);
			System.out.println("bracelet: "+bracelet);
			TitoniProduct tp = new TitoniProduct(line, watchName, image, "Titoni",  "", url, gender, movement, function, caseWatch, diameter, glass, waterResistance, dial, bracelet, cateName);
			ExcelManager.writeToFile(tp);
		}
	}
	
}
