package outputFormat;

import jxl.write.Label;
import jxl.write.WritableCellFormat;
import jxl.write.WritableSheet;
import jxl.write.WriteException;
import jxl.write.biff.RowsExceededException;

public class DestinationGuide implements SheetWriter{
	// change this to the max(id) + 1 in database destination guide
	static int numberCount = 9527;
	static int line = 1;
	private int id;
	private String country;
	private String city;
	private String name;
	private String products;
	private String location;
	private String description;
	private String address;
	private String phone;
	private String source_link;
	private int score_1 = 0;
	private int score_2 = 0;
	private int score_3 = 0;
	private int score_4 = 0;
	private int score_5 = 0;
	private float average_rate = 0; 
	private int paixu = 1000;
	private int shop_id = 0;
	public DestinationGuide() {
		
	}
	public DestinationGuide(String country, String city, String name, String products, String location, String description, 
			String address, String phone, String source_link) {
		this.id = numberCount;
		numberCount++;
		this.country = country;
		this.city = city;
		this.name = name;
		this.products = products;
		this.location = location;
		this.description = description;
		this.address = address;
		this.phone = phone;
		this.source_link = source_link;
	}
	public void creatSheetLabels(WritableSheet sheet, WritableCellFormat cf){
		Label id = new Label(0, 0, "id", cf);
		Label country = new Label(1, 0, "country", cf);
		Label city = new Label(2, 0, "city", cf);
		Label name = new Label(3, 0, "name", cf);
		Label products = new Label(4, 0, "products", cf);
		Label location = new Label(5, 0, "location", cf);
		Label description = new Label(6, 0, "description", cf);
		Label address = new Label(7, 0, "address", cf);
		Label phone = new Label(8, 0, "phone", cf);
		Label source_link = new Label(9, 0, "source_link", cf);
		Label score_1 = new Label(10, 0, "score_1", cf);
		Label score_2 = new Label(11, 0, "score_2", cf);
		Label score_3 = new Label(12, 0, "score_3", cf);
		Label score_4 = new Label(13, 0, "score_4", cf);
		Label score_5 = new Label(14, 0, "score_5", cf);
		Label average_rate = new Label(15, 0, "average_rate", cf);
		Label paixu = new Label(16, 0, "paixu", cf);
		Label shop_id = new Label(17, 0, "shop_id", cf);
		try {
			sheet.addCell(id);
			sheet.addCell(country);
			sheet.addCell(city);
			sheet.addCell(name);
			sheet.addCell(products);
			sheet.addCell(location);
			sheet.addCell(description);
			sheet.addCell(address);
			sheet.addCell(phone);
			sheet.addCell(source_link);
			sheet.addCell(score_1);
			sheet.addCell(score_2);
			sheet.addCell(score_3);
			sheet.addCell(score_4);
			sheet.addCell(score_5);
			sheet.addCell(average_rate);
			sheet.addCell(paixu);
			sheet.addCell(shop_id);
		} catch (RowsExceededException e) {
			e.printStackTrace();
		} catch (WriteException e) {
			e.printStackTrace();
		}
	}
	public void writeToSheet(WritableSheet sheet, WritableCellFormat cf) {
		System.out.println("Writing product on the sheet!");
		Label id = new Label(0, line, Integer.toString(this.id), cf);
		Label country = new Label(1, line, this.country, cf);
		Label city = new Label(2, line, this.city, cf);
		Label name = new Label(3, line, this.name, cf);
		Label products = new Label(4, line, this.products, cf);
		Label location = new Label(5, line, this.location, cf);
		Label description = new Label(6, line, this.description, cf);
		Label address = new Label(7, line, this.address, cf);
		Label phone = new Label(8, line, this.phone, cf);
		Label source_link = new Label(9, line, this.source_link, cf);
		Label score_1 = new Label(10, line, Integer.toString(this.score_1), cf);
		Label score_2 = new Label(11, line, Integer.toString(this.score_2), cf);
		Label score_3 = new Label(12, line, Integer.toString(this.score_3), cf);
		Label score_4 = new Label(13, line, Integer.toString(this.score_4), cf);
		Label score_5 = new Label(14, line, Integer.toString(this.score_5), cf);
		Label average_rate = new Label(15, line, Float.toString(this.average_rate), cf);
		Label paixu = new Label(16, line, Integer.toString(this.paixu), cf);
		Label shop_id = new Label(17, line, Float.toString(this.shop_id), cf);
		line++;
		try {
			sheet.addCell(id);
			sheet.addCell(country);
			sheet.addCell(city);
			sheet.addCell(name);
			sheet.addCell(products);
			sheet.addCell(location);
			sheet.addCell(description);
			sheet.addCell(address);
			sheet.addCell(phone);
			sheet.addCell(source_link);
			sheet.addCell(score_1);
			sheet.addCell(score_2);
			sheet.addCell(score_3);
			sheet.addCell(score_4);
			sheet.addCell(score_5);
			sheet.addCell(average_rate);
			sheet.addCell(paixu);
			sheet.addCell(shop_id);
		} catch (RowsExceededException e) {
			e.printStackTrace();
		} catch (WriteException e) {
			e.printStackTrace();
		}	
	}
}
